AddCSLuaFile()

ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.Spawnable = false

ENT.Damage = 38
ENT.Radius = 128

function ENT:Draw()
render.SetMaterial( Material( "dukenukem3d/sprites/weapons/projectile" ) )
render.DrawSprite( self:GetPos(), 8, 8, Color( 255, 255, 255, 255 ) )
end

function ENT:Initialize()
if SERVER then
self.Entity:SetModel( "models/dukenukem3d/weapons/w_projectile.mdl" )
self.Entity:SetMoveType( MOVETYPE_VPHYSICS )
self.Entity:SetSolid( SOLID_VPHYSICS )
self.Entity:PhysicsInit( SOLID_VPHYSICS )
self.Entity:SetCollisionGroup( COLLISION_GROUP_DEBRIS )
self.Entity:DrawShadow( false )
self.Entity:SetTrigger( true )
self.Entity:UseTriggerBounds( true, 8 )
self.Entity:GetPhysicsObject():EnableGravity( false )
end
end

function ENT:Think()
if SERVER then
if IsValid( self.Entity:GetPhysicsObject() ) then
self.Entity:GetPhysicsObject():SetVelocity( self.Entity:GetForward() * 1000 )
end
if self.Entity:WaterLevel() > 0 then
self.Entity:Remove()
end
end
end

function ENT:PhysicsCollide()
if SERVER then
self.Entity:Remove()
end
end

function ENT:Touch( entity )
if SERVER and !( entity == self.Owner ) then
self.Entity:Remove()
end
end

function ENT:OnRemove()
if SERVER then
local entity = ents.Create( "ent_dukenukem3d_devastator_explode" )
entity:SetOwner( self.Owner )
entity:SetPos( self.Entity:GetPos() + Vector( 0, 0, 16 ) )
entity:Spawn()
self.Entity:EmitSound( "Weapon_DukeNukem3D.Explode" )
end
util.BlastDamage( self, self.Owner, self.Entity:GetPos(), self.Radius, self.Damage )
end