AddCSLuaFile()

ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Shotgun"
ENT.Category = "Duke Nukem 3D"
ENT.Spawnable = true
ENT.AdminOnly = false

ENT.DefaultClip = 10
ENT.MaxAmmo = 50
ENT.Ammo = "Buckshot"

function ENT:Draw()
render.SetMaterial( Material( "dukenukem3d/sprites/weapons/shotgun/pickup" ) )
render.DrawSprite( self:GetPos(), 48, 24, Color( 255, 255, 255, 255 ) )
end

function ENT:Initialize()
if SERVER then
self.Entity:SetModel( "models/dukenukem3d/weapons/w_projectile.mdl" )
self.Entity:SetMoveType( MOVETYPE_NONE )
self.Entity:SetSolid( SOLID_NONE )
self.Entity:PhysicsInit( SOLID_NONE )
self.Entity:SetCollisionGroup( COLLISION_GROUP_NONE )
self.Entity:DrawShadow( false )
self.Entity:SetTrigger( true )
self.Entity:UseTriggerBounds( true, 16 )
end
self.Entity:SetPos( self.Entity:GetPos() + Vector( 0, 0, 8 ) )
end

function ENT:Touch( entity )
if SERVER and IsValid( entity ) and entity:IsPlayer() and entity:GetAmmoCount( self.Ammo ) < self.MaxAmmo then
if entity:HasWeapon( "weapon_dukenukem3d_shotgun" ) then
entity:GiveAmmo( self.DefaultClip, self.Ammo )
end
if !entity:HasWeapon( "weapon_dukenukem3d_shotgun" ) then
entity:Give( "weapon_dukenukem3d_shotgun" )
end
self.Entity:Remove()
end
end