AddCSLuaFile()

ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.Spawnable = false

function ENT:Draw()
render.SetMaterial( Material( "dukenukem3d/sprites/weapons/shrinker/projectile" ) )
render.DrawSprite( self:GetPos(), 16, 16, Color( 255, 255, 255, 255 ) )
end

function ENT:Initialize()
if SERVER then
self.Entity:SetModel( "models/dukenukem3d/weapons/w_projectile.mdl" )
self.Entity:SetMoveType( MOVETYPE_VPHYSICS )
self.Entity:SetSolid( SOLID_VPHYSICS )
self.Entity:PhysicsInit( SOLID_VPHYSICS )
self.Entity:SetCollisionGroup( COLLISION_GROUP_INTERACTIVE )
self.Entity:DrawShadow( false )
self.Entity:SetTrigger( true )
self.Entity:UseTriggerBounds( true, 8 )
self.Entity:GetPhysicsObject():EnableGravity( false )
end
end

function ENT:Think()
if SERVER then
if IsValid( self.Entity:GetPhysicsObject() ) then
self.Entity:GetPhysicsObject():SetVelocity( self.Entity:GetForward() * 750 )
end
if self.Entity:WaterLevel() > 0 then
self.Entity:Remove()
end
end
end

function ENT:PhysicsCollide( data )
if SERVER then
self.Entity:Remove()
end
end

function ENT:Touch( entity )
if SERVER and entity:IsNPC() || entity:IsPlayer() and !( entity == self.Owner ) then
entity:SetModelScale( 0.2, 1 )
entity:SetMaxHealth( entity:GetMaxHealth() / 5 )
entity:SetHealth( entity:Health() / 5 )
if entity:IsPlayer() then
entity:SetWalkSpeed( entity:GetWalkSpeed() / 5 )
entity:SetRunSpeed( entity:GetRunSpeed() / 5 )
entity:SetJumpPower( 100 )
entity:SetViewOffset( Vector( 0, 0, 13 ) )
entity:SetViewOffsetDucked( Vector( 0, 0, 6 ) )
entity:SetHull( Vector( -16, -16, 0 ), Vector( 16, 16, 14 ) ) 
end
timer.Simple( 5, function()
if SERVER and IsValid( entity ) then
entity:SetModelScale( 1, 1 )
if entity:IsNPC() then
entity:SetMaxHealth( entity:GetMaxHealth() * 5 )
entity:SetHealth( entity:Health() * 5 )
end
if entity:IsPlayer() then
entity:SetMaxHealth( 100 )
entity:SetHealth( 100 )
entity:SetWalkSpeed( 200 )
entity:SetRunSpeed( 400 )
entity:SetJumpPower( 200 )
entity:SetViewOffset( Vector( 0, 0, 64 ) )
entity:SetViewOffsetDucked( Vector( 0, 0, 28 ) )
entity:SetHull( Vector( -16, -16, 0 ), Vector( 16, 16, 72 ) ) 
end
end
end )
self.Entity:Remove()
end
end

function ENT:OnRemove()
if SERVER then
local entity = ents.Create( "ent_dukenukem3d_shrinker_explode" )
entity:SetOwner( self.Owner )
entity:SetPos( self.Entity:GetPos() )
entity:Spawn()
self.Entity:EmitSound( "Weapon_DukeNukem3D_Shrinker.Explode" )
end
end