AddCSLuaFile()

ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.Spawnable = false

ENT.Damage = 20

function ENT:Draw()
render.SetMaterial( Material( "dukenukem3d/sprites/weapons/freezethrower/projectile" ) )
render.DrawSprite( self:GetPos(), 24, 24, Color( 255, 255, 255, 255 ) )
end

function ENT:Initialize()
if SERVER then
self.Entity:SetModel( "models/dukenukem3d/weapons/w_projectile.mdl" )
self.Entity:SetMoveType( MOVETYPE_VPHYSICS )
self.Entity:SetSolid( SOLID_VPHYSICS )
self.Entity:PhysicsInit( SOLID_VPHYSICS )
self.Entity:SetCollisionGroup( COLLISION_GROUP_DEBRIS )
self.Entity:DrawShadow( false )
self.Entity:SetTrigger( true )
self.Entity:UseTriggerBounds( true, 8 )
self.Entity:GetPhysicsObject():EnableGravity( false )
end
self.Bounce = 0
end

function ENT:Think()
if SERVER then
if IsValid( self.Entity:GetPhysicsObject() ) then
self.Entity:GetPhysicsObject():SetVelocity( self.Entity:GetForward() * 1000 )
end
if self.Entity:WaterLevel() > 0 then
self.Entity:Remove()
end
end
end

function ENT:PhysicsCollide( data )
if SERVER then
self.Entity:SetMoveType( MOVETYPE_NONE )
self.Entity:SetSolid( SOLID_NONE )
self.Entity:PhysicsInit( SOLID_NONE )
end
self.Entity:SetPos( data.HitPos - data.HitNormal * 16 )
self.Entity:SetAngles( Angle( data.HitNormal:Angle().x, data.HitNormal:Angle().y * 2 + 180 - self.Entity:GetAngles().y, data.HitNormal:Angle().z ) )
if data.Speed >= 150 then
self.Bounce = self.Bounce + 1
end
if SERVER then
self.Entity:SetMoveType( MOVETYPE_VPHYSICS )
self.Entity:SetSolid( SOLID_VPHYSICS )
self.Entity:PhysicsInit( SOLID_VPHYSICS )
if self.Bounce >= 3 then
self.Entity:Remove()
end
end
end

function ENT:Touch( entity )
if SERVER and entity:IsNPC() || entity:IsPlayer() and !( entity == self.Owner ) then
local dmg = DamageInfo()
local attacker = self.Owner
if !IsValid( attacker ) then
attacker = self
end
dmg:SetAttacker( attacker )
dmg:SetInflictor( self )
dmg:SetDamage( self.Damage )
dmg:SetDamageType( DMG_DROWN )
entity:TakeDamageInfo( dmg )
self.Entity:Remove()
end
end